Bug 1421596 - Enable TRIM pass down to encrypted disks [NEEDINFO]
Summary: Enable TRIM pass down to encrypted disks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Kozina
QA Contact:
URL:
Whiteboard: ChangeAcceptedF26, SystemWideChange, ...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-13 08:50 UTC by Jan Kurik
Modified: 2017-11-14 08:58 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-14 08:58:20 UTC
jkurik: needinfo? (okozina)


Attachments (Terms of Use)

Description Jan Kurik 2017-02-13 08:50:38 UTC
This is a tracking bug for Change: Enable TRIM pass down to encrypted disks
For more details, see: https://fedoraproject.org//wiki/Changes/EnableTrimOnDmCrypt

Override kernel default for dm-crypt mappings of LUKS1 encrypted volumes via flag put in /etc/crypttab file. This change should affect only newly created encrypted storage based on LUKS1 format during installation.

Comment 1 Jan Kurik 2017-02-28 10:08:21 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 2 Fedora End Of Life 2017-02-28 11:16:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jan Kurik 2017-03-01 09:51:21 UTC
May I ask for status update on this Change, as requested in Comment #1 ?

Comment 4 Vratislav Podzimek 2017-03-01 15:25:08 UTC
(In reply to Jan Kurik from comment #3)
> May I ask for status update on this Change, as requested in Comment #1 ?

To be honest, I had no idea what the result of the FESCo decision process for this was until I asked Ondra yesterday. So the Anaconda's part is not implemented yet, but since it's trivial, I'll able to do it tomorrow.

Comment 5 Vratislav Podzimek 2017-03-02 12:42:56 UTC
(In reply to Vratislav Podzimek from comment #4)
> (In reply to Jan Kurik from comment #3)
> > May I ask for status update on this Change, as requested in Comment #1 ?
> 
> To be honest, I had no idea what the result of the FESCo decision process
> for this was until I asked Ondra yesterday. So the Anaconda's part is not
> implemented yet, but since it's trivial, I'll able to do it tomorrow.

As promised - here it is:
https://github.com/rhinstaller/blivet/pull/550

Comment 6 Vratislav Podzimek 2017-03-02 13:21:20 UTC
And here is the related kickstart tests update:
https://github.com/rhinstaller/kickstart-tests/pull/76

Comment 7 David Lehman 2017-03-17 16:49:44 UTC
Requesting AlphaFreezeException to get the python-blivet changes in for Alpha.

Comment 9 Christian Stadelmann 2017-03-22 11:41:43 UTC
Removing the alpha freeze exception since this feature is deferred anyway.

Comment 10 Jan Kurik 2017-08-10 06:18:00 UTC
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan

Comment 11 Ondrej Kozina 2017-08-11 11:13:35 UTC
Hi Vrato,

I'm moving the bug to modified as it's been already implemented in upstream, AFAIK. Could you please add here some details on how to test the change?

Comment 12 Vratislav Podzimek 2017-08-14 12:29:10 UTC
To test the change one has to:

1. Do an installation to a new encrypted device(s) like encrypted autopartitioning with deleting all previous partitions or something similar.

2. Check that the installed system has 'discard' as an option in the /etc/crypttab file for the newly created LUKS volume.

3. Remove the 'discard' option from the /etc/crypttab file.

4. Reinstall the system *preserving* the LUKS volume -- i.e. unlocking the LUKS volume in the installer and e.g. removing all its contents and creating new partitions/LVM inside it.

5. Check that the installed system *does not* have 'discard' as an option in the /etc/crypttab file for the reused LUKS volume.

Comment 13 Jan Kurik 2017-08-15 07:01:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 14 Jan Kurik 2017-09-06 13:38:16 UTC
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 15 Vratislav Podzimek 2017-09-08 12:32:18 UTC
I believe this should be ON_QA now.


Note You need to log in before you can comment on or make changes to this bug.